## begin license ##
#
#    "CQ2 Utils Old" (cq2utils_old) is a package with a wide range of valuable tools for python2.4x.
#    Copyright (C) 2005-2009 Seek You Too (CQ2) http://www.cq2.nl
#
#    This file is part of "CQ2 Utils Old".
#
#    "CQ2 Utils Old" is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    "CQ2 Utils Old" is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with "CQ2 Utils Old"; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
## end license ##
AMARA_TYPE_XML_ELEMENT = 1

def removeNamespaces(amaraObject):
	if amaraObject.rootNode == amaraObject:
		removeNamespaces(amaraObject.childNodes[0])
	else:
		if hasattr(amaraObject, "xmlnsUri"):
			del(amaraObject.xmlnsUri)
		if hasattr(amaraObject, "xmlnsPrefix"):
			del(amaraObject.xmlnsPrefix)
		amaraObject.nodeName = amaraObject.localName
		for child in getElements(amaraObject):
			removeNamespaces(child)

def getElements(amaraObject):
	result = []
	for child in amaraObject.childNodes:
		if child.nodeType == AMARA_TYPE_XML_ELEMENT:
			result.append(child)
	return result

